$(function(){
	$(".PhotoUploadButton").click(function() {
		var target=$(this).attr('data-target');
		if(checkPhoto(target)){ //检查图片格式
			ajaxFileUpload(target);
		}
	});
})

/**
 * 图片上传
 */
function ajaxFileUpload(target) {
	$.ajaxFileUpload({
		url : '/base/upload/uploadFile',
		secureuri : false,
		type : 'post',
		fileElementId : target,// file标签的id
		dataType : 'text',// 返回数据的类型
		data : {
			name : 'logan'
		},// 一同上传的数据
		success : function(data, status) {
			if (data.indexOf(">") != -1 && data.lastIndexOf("<") != -1) {
				data = data.substring(data.indexOf(">") + 1, data.lastIndexOf("<"));
				data = eval("(" + data + ")");
				
				if (status) {
					imagePath = data.fileSavePath;
					$("img[data-target='"+target+"']").attr("src", '/base/upload/show?path=' + imagePath);
				} else {
					alert("图片上传失败，请重新上传！");
				}
			}
		},
		error : function(data, status, e) {
			alert(e);
		}
	});
}

/**
 * 检查图片格式
 */
function checkPhoto(photo){
	photo=$("#"+photo).val();
	if (photo.length > 0) {
		var fileType = photo.split(".")[1];
		if (fileType == "JPG" || fileType == "jpg"
			|| fileType == "png" || fileType == "PNG"
				|| fileType == "bmp" || fileType == "BMP"
					|| fileType == "gif" || fileType == "GIF"
						|| fileType == "JPEG" || fileType == "jpeg") {
			return true;
		} else {
			alert("上传文件格式不对，请重新上传，图片支持式为：bmp、gif、jpeg、jpg、png");
			return false;
		}
	} else {
		alert("请选择图片");
		return false;
	}
}
